<template>
  <div>
    <h3>{{ $t('tag-list') }} : <a v-bind:href=details.url>{{ details.displayName }}</a></h3>
    <br>
    <table class="table table-striped">
      <thead>
      <tr>
        <th v-bind:key="indexCol" v-for="(col, indexCol) in allCols" scope="col"> {{ col }} </th>
      </tr>
      </thead>
      <tbody>
      <tr v-bind:key="indexTag" v-for="(tag, indexTag) in allTags">
        <td>{{ tag.idBigQuery }}</td>
        <td v-bind:key="indexFields" v-for="(field, indexFields) in tag.fields"> {{ field.value }}</td>
      </tr>
      </tbody>
    </table>
    <div class="center">
      <button @click="back" class="btn btn-outline-primary">{{ $t('back-search') }} </button>
    </div>
  </div>
</template>

<script>
export default {
  data () {
    return {
      allTags: [],
      allCols: [],
      details: null
    }
  },
  methods: {
    back () {
      this.$router.push('/results-search')
    }
  },
  created () {
    this.details = this.$responseSearchDetail
    this.allTags = this.details.tags
    this.allTags.forEach(tag => {
      tag.fields.sort((a, b) => (a.name > b.name ? 1 : -1))
      tag.fields.forEach(field => {
        this.allCols.push(field.name)
      })
    })
    this.allCols.sort()
    this.allCols.unshift('idBigQuery')
    this.allCols = new Set(this.allCols)
  }
}
</script>

<style>
.center {
  margin-top: 15px;
  text-align: center;
}
.btn-primary{
  margin-block: 20px;
}
</style>
